Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
pdumodel::OutletGroup Interface Reference

Outlet group interface. More...

`import <OutletGroup.idl;`

## Classes
struct | MetaData
| Outlet group metadata. More...
struct | PowerControlEvent
| Event: Group switch operation has been invoked. More...
struct | Sensors
| Outlet group sensors. More...
struct | SensorsChangedEvent
| Event: Group sensors have changed. More...
struct | Settings
| Outlet group settings. More...
struct | SettingsChangedEvent
| Event: Group settings have been changed. More...

## Public Member Functions
Sensors | getSensors ()
| Retrieve the outlet group sensors.
MetaData | getMetaData ()
| Retrieve the outlet group metadata.
Settings | getSettings ()
| Retrieve the outlet group settings.
int | setSettings (in Settings settings)
| Change the outlet group settings.
int | setAllOutletPowerStates (in Outlet::PowerState pstate)
| Switch all member outlets.
int | cycleAllOutletPowerStates ()
| Power-cycle all member outlets.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Outlet group interface.

Definition at line 15 of file OutletGroup.idl.

## Member Function Documentation

## ◆ cycleAllOutletPowerStates()

int pdumodel::OutletGroup::cycleAllOutletPowerStates | ( |  | ) |

Power-cycle all member outlets.

Returns
  0 if OK

## ◆ getMetaData()

MetaData pdumodel::OutletGroup::getMetaData | ( |  | ) |

Retrieve the outlet group metadata.

Returns
  outlet group metadata

## ◆ getSensors()

Sensors pdumodel::OutletGroup::getSensors | ( |  | ) |

Retrieve the outlet group sensors.

Returns
  outlet group sensors

## ◆ getSettings()

Settings pdumodel::OutletGroup::getSettings | ( |  | ) |

Retrieve the outlet group settings.

Returns
  outlet group settings

## ◆ setAllOutletPowerStates()

int pdumodel::OutletGroup::setAllOutletPowerStates | ( | in Outlet::PowerState | pstate | ) |

Switch all member outlets.

Parameters

  pstate | New power state for all outlets

Returns
  0 if OK

## ◆ setSettings()

int pdumodel::OutletGroup::setSettings | ( | in Settings | settings | ) |

Change the outlet group settings.

Parameters

  settings | New outlet group settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int pdumodel::OutletGroup::ERR_INVALID_ARGUMENT = 1

Definition at line 16 of file OutletGroup.idl.

The documentation for this interface was generated from the following file:

- OutletGroup.idl